### Class

# FwupdPlugin CsvFirmware

#### Description [src]

    class FwupdPlugin.CsvFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A comma seporated value file.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_csv_firmware_new

Creates a new `FuFirmware`.

since: 1.9.3

#### Instance methods

###### fu_csv_firmware_add_column_id

Adds a column ID.

since: 1.9.3

###### fu_csv_firmware_get_column_id

Gets the column ID for a specific index position.

since: 1.9.3

###### fu_csv_firmware_get_write_column_ids

Gets if we should write the column ID headers on export.

since: 2.0.0

###### fu_csv_firmware_set_write_column_ids

Sets if we should write the column ID headers on export.

since: 2.0.0

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginCsvFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.